Subject: [patch 1/2] kcmp: Make it to depend on CONFIG_KCMP

From: [email-masked] (Cyrill Gorcunov)
Date: Wed, 20 Feb 2013 02:15:48 +0400

On Wed, Feb 20, 2013 at 02:11:46AM +0400, Cyrill Gorcunov wrote:
> On Tue, Feb 19, 2013 at 02:00:35PM -0800, Andrew Morton wrote:
> > > 
> > > I think this syscall is usefull even without c/r stuff.
> > > That's why I made it with separate config option.
> > 
> > hm, OK.
> > 
> > But the patch also permits CONFIG_CHECKPOINT_RESTORE=y, CONFIG_KCMP=n
> > which surely isn't something which CRIU wants to support?
> 
> Hmm, yes from one pov this feature is useful for out-of-c/r user,
> from another pov -- we will have to ask users to turn on additional
> CONFIG entries (which i'm sure not set by default in wide range of distros).
> Thus it seems less paiful way is either make it obj-(CHECKPOINT_RESTORE)
> as you proposed, or obj-y by default. The last can't be undone, so I'll
> prepare the patch for obj-(CHECKPOINT_RESTORE) I think.

Here is update. Peter, does it look good for you too?
---
From: Cyrill Gorcunov <[email-masked]>
Subject: kcmp: Make it to depend on CHECKPOINT_RESTORE

Since kcmp syscall has been implemented (initially on x86
architecture) a number of other archs wire it up as well:
xtensa, sparc, sh, s390, mips, microblaze, m68k (not taking
into account those who uses <asm-generic/unistd.h> for syscall
numbers definitions).

But the Makefile, which turns kcmp.o generation on still
depends on former config-x86. Thus get rid of this
limitation and make kcmp.o depend on CHECKPOINT_RESTORE
option.

Signed-off-by: Cyrill Gorcunov <[email-masked]>
Cc: KOSAKI Motohiro <[email-masked]>
Cc: "Eric W. Biederman" <[email-masked]>
Cc: Pavel Emelyanov <[email-masked]>
Cc: Andrey Vagin <[email-masked]>
Cc: Ingo Molnar <[email-masked]>
Cc: H. Peter Anvin <[email-masked]>
Cc: Thomas Gleixner <[email-masked]>
Cc: Glauber Costa <[email-masked]>
Cc: Andi Kleen <[email-masked]>
Cc: Tejun Heo <[email-masked]>
Cc: Matt Helsley <[email-masked]>
Cc: Pekka Enberg <[email-masked]>
Cc: Eric Dumazet <[email-masked]>
Cc: Vasiliy Kulikov <[email-masked]>
Cc: Alexey Dobriyan <[email-masked]>
Cc: Valdis.Kletnieks at vt.edu
Cc: Michal Marek <[email-masked]>
Cc: Frederic Weisbecker <[email-masked]>
Cc: Andrew Morton <[email-masked]>
---
 kernel/Makefile |    4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

Index: linux-2.6.git/kernel/Makefile
===================================================================
--- linux-2.6.git.orig/kernel/Makefile
+++ linux-2.6.git/kernel/Makefile
@@ -25,9 +25,7 @@ endif
 obj-y += sched/
 obj-y += power/
 
-ifeq ($(CONFIG_CHECKPOINT_RESTORE),y)
-obj-$(CONFIG_X86) += kcmp.o
-endif
+obj-$(CHECKPOINT_RESTORE) += kcmp.o
 obj-$(CONFIG_FREEZER) += freezer.o
 obj-$(CONFIG_PROFILING) += profile.o
 obj-$(CONFIG_STACKTRACE) += stacktrace.o